QECVT(3)

NAME
qecvt, qfcvt, qgcvt - convert a floating-point number to a string

SYNOPSIS
#include <stdlib.h>

char *qecvt(long double number, int ndigits, int *decpt, int *sign);

char *qfcvt(long double number, int ndigits, int *decpt, int *sign);

char *qgcvt(long double number, int ndigit, char *buf);

DESCRIPTION
The functions qecvt, qfcvt and qgcvt are identical to ecvt, fcvt and gcvt respectively, except that they use a long double argument number. See ecvt(3) and gcvt(3).

NOTES
These functions are obsolete. Instead, sprintf() is recommended.

CONFORMING TO
SysVr4.0. Not seen in most common Unix implementations, but occurs in SunOS. Not supported by libc4 and libc5. Supported by glibc.

SEE ALSO
ecvt(3), ecvt_r(3), gcvt(3), sprintf(3)